#!/usr/bin/env python3

"""
default.py
----------

This file contains default values for configuration.
This is taken as fallback data by config.py if no
configuration files were found, or if a key-value pair
was not present in the config file. The data will be
further changed by arguments if naxalnet is called
from the commandline. See config.py for more info.
"""

CONFIG = {
    "networkd": {
        "confdir": "/usr/share/naxalnet/networkd",
        "runtimedir": "/run/systemd/network",
    },
    "adhoc": {"name": "NxMesh"},
    "ap": {"ssid": "MeshWiFi", "passwd": "naxalnet256"},
}

# glob
CONFIG_FILES = ["naxalnet.conf", "naxalnet.conf.d/*.conf"]
CONFIG_DIRS = ["/usr/share/naxalnet", "/usr/local/share/naxalnet", "/etc/naxalnet"]
